# Gets the named storage credential

Launch stage: GA

`GET /api/2.0/accounts/{account_id}/metastores/{metastore_id}/storage-credentials/{name_arg}`

Gets a storage credential from the metastore. The caller must be a metastore admin, the owner of the
 storage credential, or have a level of privilege on the storage credential.

API scopes: unity-catalog

## Path parameters

- `account_id` (string, uuid, required)
  Databricks account ID of any type. For non-E2 account types, get your account ID from the [Accounts Console](https://docs.databricks.com/administration-guide/account-settings/usage.html)
- `metastore_id` (string, uuid, required)
  Unity Catalog metastore ID
- `name_arg` (string, required)
  Required. Name of the storage credential.

## Returns

Returns the AccountsGetStorageCredentialResponse object.

## Response

```json
{
  "credential_info": {
    "name": "string",
    "aws_iam_role": {},
    "azure_service_principal": {},
    "gcp_service_account_key": {},
    "azure_managed_identity": {},
    "databricks_gcp_service_account": {},
    "comment": "string",
    "read_only": true,
    "owner": "string",
    "id": "string",
    "metastore_id": "string",
    "created_at": 0,
    "created_by": "string",
    "updated_at": 0,
    "updated_by": "string",
    "used_for_managed_storage": true,
    "full_name": "string",
    "isolation_mode": "ISOLATION_MODE_OPEN"
  }
}
```

